# Check Point Log server

Collection of Check Point Log server checks
* *checkpoint_fw_ls*: monitors the status of the log server on the gateway side
* *checkpoint_fwm_ls*: monitors the status of the log server on the management side

## Check Info *checkpoint_fw_ls*:

* *service*: this service will cerate on service for each log server the gateway is connected to and the service *FW Log server over all*
* *state*:

    **critical**
    * if *fwLocalLoggingStat* is *2*, *Logging local due to connectivity*
    * if *fwlsconnoverall* is *2*
    
    **warning**
    * if *fwLocalLoggingStat* is *1* or *3*, *Logging local configured*, *Logging local due to high rate*
    * if *fwlsconnoverall* is *1*
* *wato*: none
* *perfdata*:
    * Local Logging Writing Rate
    * Logging Handling Rate

Sample output from gateway

![sample output](/doc/sample-gw.png?raw=true "sample [SHORT TITLE]")

## Check Info *checkpoint_fw_ls*:

* *service*: [HOW WILL SERVICES BE CREATED]
* *state*:

    **critical**
    * if *lsstatcode* is not *0*, errordescription from *lsstatlongdescr*
    * if *lsfwmisalive* is not *1*, service not alive
* *wato*: you can configure to ignore *lsfwmisalive* on R80.x systems
* *perfdata*:
    * Sending Rate
    * Total read logs
    * Total updates and logs indexed
    * Total read log errors
    * Total updates and logs indexed errors
    * Updates and logs index rate
    * Updates and logs peak index rate
    * Logs read rate
    * Logs read peak rate

Sample output from management

![sample output](/doc/sample-mgmt.png?raw=true "sample [SHORT TITLE]")
